local Map = class("Map")

function Map:initialize(width,height,level)
	self.WIDTH, self.HEIGHT = width, height
	self.LEVEL = level
	for x = 1, self.WIDTH do
		self[x] = {}
		for y = 1, self.HEIGHT do
			self[x][y] = {}
			self[x][y]["terrain"] = "."
			if x == 1 or x == self.WIDTH or y == 1 or y == self.HEIGHT then
				self[x][y]["terrain"] = "#"
			end
		end
	end
end

function Map:draw()
	for x in ipairs(self) do
		for y in ipairs(self[x]) do
			local cell = self[x][y]
			if cell.terrain == "#" then drawTile(12,14,x,y)
			elseif cell.terrain == "." then drawTile(11,16,x,y)
			end
		end
	end
end

return Map